Anonymization
Request the anonymization of an end user.
ApiKeyAuth anonymizationAuthorization<token>Scope: anonymization
userId*stringThe id of the end user to anonymize
uuidforce?booleanWhether to force close all the conversations initiated by the end user, if any are found in a non closed state.
falseThe end user's anonymization request status
application/json- response
data*curl -X PATCH 'https://dev.dixa.io/v1/endusers/{userId}/anonymize' \ -H 'Authorization: <API token>'Request the anonymization of a conversation.
ApiKeyAuth anonymizationAuthorization<token>Scope: anonymization
conversationId*integerthe id of the conversation to anonymize
int64force?booleanWhether to force close the conversation if it is found in a non closed state.
falseThe conversation's anonymization request status
application/json- response
data*curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/anonymize' \ -H 'Authorization: <API token>'Request the anonymization of a single message in a conversation.
ApiKeyAuth anonymizationAuthorization<token>Scope: anonymization
conversationId*integerthe id of the conversation in which the message belongs
int64messageId*stringthe id of the message to anonymize
uuidThe message's anonymization request status
application/json- response
data*curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/messages/{messageId}/anonymize' \ -H 'Authorization: <API token>'Retrieve an anonymization request submitted earlier (user or conversation).
ApiKeyAuthAuthorization<token>requestId*stringuuidThe anonymization request
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/anonymization/request/{requestId}' \ -H 'Authorization: <API token>'Anonymize entity
DeprecatedAnonymize the requested entity (user or conversation). For a conversation to be successfully anonymized, it should be in the status closed. Otherwise, it requires forceAnonymization parameter set to true in the input body. NOTE: This endpoint is deprecated. Prefer using the anonymization endpoints of specific resources instead.
ApiKeyAuth anonymizationAuthorization<token>Scope: anonymization
A request to anonymize an entity in the system (user or conversation).
application/json- body
entityId*stringentityType?|||DeprecatedReplaced by _type field
forceAnonymization?boolean_type?stringvalues: [Conversation, Message, User]
The anonymization request status
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/anonymization' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "entityId": "a53b25da-f676-4c52-acac-58c9280aa23d", "_type": "User"}'